package Division;

/**
 * A claimer is a person claiming some money
 * @author robbert
 *
 */

public class Claimer{
	
	/**
	 * The amount this player claims
	 */
	private double claimed;
	
	/**
	 * The amount of money this player received from the share
	 */
	private double received = 0;
	
	/**
	 * Initiate a player who claims nothing 
	 */
	public Claimer(){
		claimed = 0;
	}
	
	/**
	 * Initiate a player with an initial claim
	 * @param claimed the default claimed money
	 */
	public Claimer(double claimed){
		this.claimed = claimed;
	}
    public Claimer(double claimed, double received){
        this.claimed = claimed;
        this.received=received;
    }

	/**
	 * Get the amount of money this player claims 
	 * @return the amount of money claimed by this player
	 */
	public double getClaimed() {
		return claimed;
	}

	/**
	 * Set the amount of money this player claims 
	 * @param claimed the new amount of claimed money
	 */
	public void setClaimed(double claimed) {
		this.claimed = claimed;
	}

	/**
	 * Get the amount of money this player received
	 * @return the amount received
	 */
	public double getReceived() {
		return received;
	}

	/**
	 * Set the amount of money this player received 
	 * @param received the new amount this player receives
	 */
	public void setReceived(double received) {
		this.received = received;
	}
	
	/**
	 * Add an amount of money to the amount already received
	 * @param receivedMore the amount of money this player receives more
	 */
	public void addToReceived(double receivedMore){
		this.received += receivedMore;
	}
}
